Debian Bug report logs - #605636
Please enable CONFIG_FANOTIFY in 2.6.37(-rcX)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Thu, 2 Dec 2010 00:33:02 UTC

Severity: wishlist

Tags: pending

Merged with 599877

Found in version 2.6.36~rc6-1~experimental.1

Fixed in version linux-2.6/2.6.37-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, systemd@packages.debian.org, p, systemd@packages.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#605636; Package linux-2.6. (Thu, 02 Dec 2010 00:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to systemd@packages.debian.org, p, systemd@packages.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 02 Dec 2010 00:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please enable CONFIG_FANOTIFY in 2.6.37(-rcX)
Date: Thu, 02 Dec 2010 01:29:48 +0100
Package: linux-2.6
Severity: wishlist
User: systemd@packages.debian.org
Usertags: readahead

Hi,

please consider enabling fanotify in the upcoming 2.6.37(-rcX) packages.

Systemd has a readahead implementation based on fanotify which we would
like to enable.

Thanks,
Michael

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#605636; Package linux-2.6. (Thu, 02 Dec 2010 06:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 02 Dec 2010 06:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 605636@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michael Biebl <biebl@debian.org>, 605636@bugs.debian.org
Subject: Re: Bug#605636: Please enable CONFIG_FANOTIFY in 2.6.37(-rcX)
Date: Thu, 02 Dec 2010 06:16:36 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-12-02 at 01:29 +0100, Michael Biebl wrote:
> Package: linux-2.6
> Severity: wishlist
> User: systemd@packages.debian.org
> Usertags: readahead
> 
> Hi,
> 
> please consider enabling fanotify in the upcoming 2.6.37(-rcX) packages.
> 
> Systemd has a readahead implementation based on fanotify which we would
> like to enable.

There seem to be alternate ways of doing readahead, so I'm not yet
convinced it's worth the cost.  (It appears to add about 4-5K code and
static data, which is nothing on a PC but a bit more significant on an
ARM system with a fixed-size flash partition for the kernel image.)

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#605636; Package linux-2.6. (Thu, 02 Dec 2010 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 02 Dec 2010 16:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 605636@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 605636@bugs.debian.org
Subject: Re: Bug#605636: Please enable CONFIG_FANOTIFY in 2.6.37(-rcX)
Date: Thu, 02 Dec 2010 17:46:36 +0100
[Message part 1 (text/plain, inline)]
Hi Ben

On 02.12.2010 07:16, Ben Hutchings wrote:

>> please consider enabling fanotify in the upcoming 2.6.37(-rcX) packages.
>>
>> Systemd has a readahead implementation based on fanotify which we would
>> like to enable.
> 
> There seem to be alternate ways of doing readahead,

Are you referring to fedora-readahead here which uses the audit mechanism?
Some consider that a misuse of the audit subsystem.

Then there is ureadahead from Ubuntu, which afaik, requires a kernel patch to work.

The old readahead project seems to be dead.

What would be the alternate way to do readahead? Do you have any more specific
information.

 so I'm not yet
> convinced it's worth the cost.  (It appears to add about 4-5K code and
> static data, which is nothing on a PC but a bit more significant on an
> ARM system with a fixed-size flash partition for the kernel image.)

There are plans to use fanotify within tracker, a filesystem indexer and search
engine, which would make it another user.

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#605636; Package linux-2.6. (Fri, 03 Dec 2010 05:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 03 Dec 2010 05:33:05 GMT) Full text and rfc822 format available.

Message #20 received at 605636@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michael Biebl <biebl@debian.org>
Cc: 605636@bugs.debian.org
Subject: Re: Bug#605636: Please enable CONFIG_FANOTIFY in 2.6.37(-rcX)
Date: Fri, 03 Dec 2010 05:32:22 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2010-12-02 at 17:46 +0100, Michael Biebl wrote:
> Hi Ben
> 
> On 02.12.2010 07:16, Ben Hutchings wrote:
> 
> >> please consider enabling fanotify in the upcoming 2.6.37(-rcX) packages.
> >>
> >> Systemd has a readahead implementation based on fanotify which we would
> >> like to enable.
> > 
> > There seem to be alternate ways of doing readahead,
> 
> Are you referring to fedora-readahead here which uses the audit mechanism?
> Some consider that a misuse of the audit subsystem.
> 
> Then there is ureadahead from Ubuntu, which afaik, requires a kernel patch to work.
> 
> The old readahead project seems to be dead.
> 
> What would be the alternate way to do readahead? Do you have any more specific
> information.

I don't, I just knew it had been done in other ways.  But from what you
tell me, they really aren't as good as using fanotify().

>  so I'm not yet
> > convinced it's worth the cost.  (It appears to add about 4-5K code and
> > static data, which is nothing on a PC but a bit more significant on an
> > ARM system with a fixed-size flash partition for the kernel image.)
> 
> There are plans to use fanotify within tracker, a filesystem indexer and search
> engine, which would make it another user.

Right.  Well, it will definitely be considered.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Merged 599877 605636. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 14 Dec 2010 05:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#605636; Package linux-2.6. (Wed, 12 Jan 2011 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Mueller <thomas@chaschperli.ch>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Jan 2011 13:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 605636@bugs.debian.org (full text, mbox):

From: Thomas Mueller <thomas@chaschperli.ch>
To: 605636@bugs.debian.org
Subject: Re: Bug#605636: Please enable CONFIG_FANOTIFY in 2.6.37(-rcX)
Date: Wed, 12 Jan 2011 14:01:39 +0100
> >  >  convinced it's worth the cost.  (It appears to add about 4-5K code and
> >  >  static data, which is nothing on a PC but a bit more significant on an
> >  >  ARM system with a fixed-size flash partition for the kernel image.)
> >
> >  There are plans to use fanotify within tracker, a filesystem indexer and search
> >  engine, which would make it another user.

lsyncd 2.0 can work with fanotify too 
(http://packages.debian.org/experimental/lsyncd  , 
http://code.google.com/p/lsyncd/)

IMHO file indexing daemons, anti-virus/malware tools will start using 
this interface once it's widly available.

- Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#605636; Package linux-2.6. (Wed, 12 Jan 2011 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Kittenberger <axel.kittenberger@univie.ac.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 12 Jan 2011 20:54:03 GMT) Full text and rfc822 format available.

Message #32 received at 605636@bugs.debian.org (full text, mbox):

From: Axel Kittenberger <axel.kittenberger@univie.ac.at>
To: 605636@bugs.debian.org
Subject: lsyncd cannot do fanotify
Date: Wed, 12 Jan 2011 21:40:02 +0100
Lsycnd upstream here, 2.0 cannot use fanotify.

I tried to use it, but fanotify does not report file moves and in thus 
unusable for indexing software.
(Additionally fanotify keeps open filedescriptors, which can lead to 
results not wanted if the indexer is delayed. In my opinion what we need 
is an advancement to inotify to enable Mountpoint Marks like fanotify can)






Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Mon, 14 Feb 2011 23:27:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 16 Feb 2011 07:09:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 16 Mar 2011 07:40:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:29:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.